Package tigase.auth.impl

# Class PlainSPCallbackHandler

java.lang.Object
tigase.auth.impl.PlainSPCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`, `AuthRepositoryAware`, `Aware`, `DomainAware`

@Deprecated public class PlainSPCallbackHandler extends Object implements CallbackHandler, AuthRepositoryAware, DomainAware
Deprecated.
This is implementation of CallbackHandler to use with old AuthRepositories. Callback VerifyPasswordCallback uses method AuthRepositoryImpl.plainAuth(BareJID, String) to password verification.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `domain`
  Deprecated.
  `protected BareJID`
  `jid`
  Deprecated.
  `protected Logger`
  `log`
  Deprecated.
  `protected AuthRepository`
  `repo`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainSPCallbackHandler()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`
  Deprecated.
  `protected void`
  `handleAuthorizeCallback(AuthorizeCallback authCallback)`
  Deprecated.
  `protected void`
  `handleCallback(Callback callback)`
  Deprecated.
  `protected void`
  `handleNameCallback(NameCallback nc)`
  Deprecated.
  `protected void`
  `handleRealmCallback(RealmCallback rc)`
  Deprecated.
  `protected void`
  `handleVerifyPasswordCallback(VerifyPasswordCallback pc)`
  Deprecated.
  `void`
  `setAuthRepository(AuthRepository repo)`
  Deprecated.
  Sets AuthRepository.
  `void`
  `setDomain(String domain)`
  Deprecated.
  Sets name of domain from XMPP Stream.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### domain

    protected String domain
    Deprecated.

  - ### jid

    protected BareJID jid
    Deprecated.

  - ### log

    protected Logger log
    Deprecated.

  - ### repo

    protected AuthRepository repo
    Deprecated.

- ## Constructor Details

  - ### PlainSPCallbackHandler

    public PlainSPCallbackHandler()
    Deprecated.

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
    Deprecated.
    Specified by:
      `handle` in interface `CallbackHandler`
    Throws:
      `IOException`
      `UnsupportedCallbackException`

  - ### setAuthRepository

    public void setAuthRepository(AuthRepository repo)
    Deprecated.
    Description copied from interface: `AuthRepositoryAware`
    Sets AuthRepository.
    Specified by:
      `setAuthRepository` in interface `AuthRepositoryAware`
    Parameters:
      `repo` - AuthRepository.

  - ### setDomain

    public void setDomain(String domain)
    Deprecated.
    Description copied from interface: `DomainAware`
    Sets name of domain from XMPP Stream.
    Specified by:
      `setDomain` in interface `DomainAware`
    Parameters:
      `domain` - domain name

  - ### handleAuthorizeCallback

    protected void handleAuthorizeCallback(AuthorizeCallback authCallback)
    Deprecated.

  - ### handleCallback

    protected void handleCallback(Callback callback) throws UnsupportedCallbackException, IOException
    Deprecated.
    Throws:
      `UnsupportedCallbackException`
      `IOException`

  - ### handleNameCallback

    protected void handleNameCallback(NameCallback nc) throws IOException
    Deprecated.
    Throws:
      `IOException`

  - ### handleRealmCallback

    protected void handleRealmCallback(RealmCallback rc) throws IOException
    Deprecated.
    Throws:
      `IOException`

  - ### handleVerifyPasswordCallback

    protected void handleVerifyPasswordCallback(VerifyPasswordCallback pc) throws IOException
    Deprecated.
    Throws:
      `IOException`